WorldFirst DocsWorldFirst Docs

Apply for cardSignature required

POST /amsin/api/v2.1/business/worldcard/applyCard

You are viewing the latest API version. If you are using V1, please refer to the legacy documentation.


Partners can call this interface to apply for a World Card.

Structure

A message consists of a header and body. For details, see the following sections.

Request header

Field

Required

Sample

Description

Client-Id

Yes

Client-Id: *****

Signature

Yes

Signature: algorithm=RSA256, keyVersion=2, signature=*****

Content-Type

Yes

Content-Type: application/json; charset=UTF-8

Request-Time

Yes

Request-Time: 2019-04-04T12:08:56+08:00

Connected-AccountId

Conditional

Connected-AccountId: *****

Attention

Required when a partner manages a customer's account.

Access-Token

Conditional

Access-Token: ******

Attention

Required for OAUTH authorization. Refer to applyToken.


Request parameters

requestId String  REQUIRED

The unique ID assigned by the partner to identify the card application request.

More information:

  • This field is an API idempotency field. For details about API idempotency, see the Idempotency chapter.
  • Maximum length: 32 characters

cardHolderId String  REQUIRED

The unique ID assigned by WorldFirst to identify a business contact.

cardNickName String  

The nickname of the World Card. This parameter is useful for managing multiple cards.

More information:

  • Maximum length: 120 characters

note String  

Note regarding this card activation request.

More information:

  • Maximum length: 512 characters

authorizationControl Object  

Authorization Control Rules.

Show child parameters

email String  REQUIRED

Email address of the cardholder.

This info will be used for 3DS authentication.

More information:

  • Maximum length: 32 characters

mobileNumber String  REQUIRED

Mobile number of the cardholder.

For example: ​+6512345678​ (where ​+65​ is the Singapore country code).

This info will be used for 3DS authentication.

More information:

  • Maximum length: 32 characters

metadata Object  

Business Metadata.

billAddress Object  REQUIRED

The billing address.

This field is only returned when result.resultStatus = S.

Show child parameters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

status String  REQUIRED

The status of the application to open a World Card.

Valid values are:

  • PROCESSING​: indicates the application is being processed.
  • SUCCESS​: indicates the application is successful.
  • FAIL​: indicates the application has failed.

This field is only returned when result.resultStatus = S.

requestId String  REQUIRED

The unique ID assigned by the partner to identify the card application request.

This field is only returned when result.resultStatus = S.

More information:

  • Maximum length: 32 characters

accountId String  REQUIRED

The unique ID assigned by WorldFirst to identify a customer account.

More information:

  • Maximum length: 64 characters
API Explorer

Request

URL
Request Body

Response

Response Body

Result processing logic

After calling the API, a response is returned. Possible values for result.resultStatus are:

Result status

Description

S

Indicates that the API call succeeded.

F

Indicates that the API call failed. For additional information on the failure, refer to result.resultCode.

U

Indicates that the API call result is unknown. If this status is returned, the Partner may make a query. The querying strategy is as follows:

  • Maximum 7 queries are allowed. 
  • Intervals between queries: 5 min, 10 min, 20 min, 40 min, 80 min, 160 min, and 320 min.

If no queries succeed, contact our Technical Support Team.

result.resultCode: System Result Codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Refer to the API documentation page and confirm whether the request headers and parameters are correct.

SYSTEM_ERRORFSystem error.

Do not retry. Contact WorldFirst technical support for details.

SERVICE_NOT_ALLOWEDFService not allowed.

Retry with the correct information. If the issue persists, contact WorldFirst technical support.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

Server error. If retrying later does not resolve the issue, contact WorldFirst technical support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Retry. If the issue persists, contact WorldFirst technical support.

OAUTH_FAILFOAuth process failed.

Contact WorldFirst technical support for details.

INVALID_APIFThe called API is invalid or not active.

Confirm whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Confirm that the request is correctly signed.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Confirm that the HTTP request method is POST.

CONTRACT_CHECK_FAILFThe contract check has failed.

Contact WorldFirst technical support to understand the contract status before retrying.

result.resultCode: Business Result Codes

CodeValueMessageFurther action
REPEAT_REQUESTURepeat request.

Change the requestId and retry calling this API.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

USER_INFORMATION_INCOMPLETEFThe user's English name information cannot be empty.

User information is incomplete. Please provide the complete user information and retry. If the call fails again, please reach out to our Technical Support Team.

CONTACT_ENTITY_ID_MATCH_MULTIPLEFMatches multiple contactentityids. You need to enter a specified contactEntityId.

Matches multiple contactentityids. You need to enter a specified contactEntityId and initiate a retry.

APPLY_CARD_NUMBER_LIMITFApply card number limit.

Please contact our Technical Support Team for help.

RISK_REJECTFRequest rejected due to risk concerns.

Please contact our Technical Support Team for help.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact our Technical Support Team to address it.

AUTHORIZATION_NOT_EXISTFThe authorization does not exist.

Make sure that the input is correct. If the issue persists, contact our Technical Support Team to verify the authorization status.